LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
Cells Service Referencepublished

represents a collection of used cells in a spreadsheet document. More...

`import"Cells.idl";`

Inheritance diagram for Cells:

## Exported Interfaces
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all used cells. More...

## Additional Inherited Members
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a collection of used cells in a spreadsheet document.

See also
  com::sun::star::sheet::SheetCell

Developers Guide
  Spreadsheet Documents - Cell Ranges and Cells Container - Access to Single Cell Ranges in SheetCellRanges Container

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all used cells.

See also
  com::sun::star::sheet::CellsEnumeration

The documentation for this service was generated from the following file:

- com/sun/star/sheet/Cells.idl